From 40dfae5f7ab96b92e7bef061a14c8a1bea473ff2 Mon Sep 17 00:00:00 2001
From: Lei Wen <leiwen@marvell.com>
Date: Sat, 11 Feb 2012 21:29:53 +0800
Subject: [PATCH 1/2] libgcore: fix get notesize calculation

The logic in the kernel is if regset get method return not zero value,
which means error in that case, then it should skip this notesize calculation.
Align this logic in the libgcore with kernel.

Signed-off-by: Lei Wen <leiwen@marvell.com>
---
 extensions/libgcore/gcore_coredump.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/extensions/libgcore/gcore_coredump.c b/extensions/libgcore/gcore_coredump.c
index 8a8855d..e2d9941 100644
--- a/extensions/libgcore/gcore_coredump.c
+++ b/extensions/libgcore/gcore_coredump.c
@@ -454,7 +454,7 @@ fill_thread_core_info(struct elf_thread_core_info *t,
 		    !regset->active(task_to_context(t->task), regset))
 			continue;
 		data = (void *)GETBUF(regset->size);
-		if (!regset->get(task_to_context(t->task), regset, regset->size,
+		if (regset->get(task_to_context(t->task), regset, regset->size,
 				 data))
 			continue;
 		if (regset->callback)
-- 
1.7.5.4

